Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
eZModule Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| delete ()
| get ( $id=-1)
| getAll ( $returnOnlyActive=false)
| exists ( $name)
| id ()
| name ()
| setName ( $value)

## Public Attributes
| $ID
| $Name

## Static Public Attributes
static | $useExceptions

## Detailed Description

! eZUser eZModule handles projects/modules used for permission control.

Example code:

$module = new eZModule();
$module->setName( "eZTrade" );
if ( !$module->exists( $module->name() ) )
{
print( "Creating module<br>" );
$module->store();
}
else
{
print( "Error: count not create module, a module with that name already exists." );
}
eZModule
Definition: ezmodule.php:54
$module
$module
Definition: classes/admin/linkselect.php:219

See also
  eZUser eZUserGroup eZPermission eZForgot

Definition at line 53 of file ezmodule.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZModule::__construct | ( |  | $id = `""` | ) |

Constructs a new eZModule object.

If $id is set the object's values are fetched from the database.

Definition at line 61 of file ezmodule.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZModule::delete | ( |  | ) |

Deletes a eZModule object from the database.

Definition at line 122 of file ezmodule.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ exists()

eZModule::exists | ( |  | $name | ) |

Returns the module with the given name as a eZModule object.

False (0) is returned if unsuccessful.

Definition at line 214 of file ezmodule.php.

References $db, $ret, $user_array, and eZDB\globalDatabase().

Referenced by ezpbKernelAdmin\dispatchLoop(), ezpbKernelWeb\dispatchLoop(), ezpKernelWeb\dispatchLoop(), fetchModule(), and ezpKernelTreeMenu\run().

## ◆ get()

eZModule::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 145 of file ezmodule.php.

References $db, $id, $query, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZModule::getAll | ( |  | $returnOnlyActive = `false` | ) |

Fetches the user id from the database. And returns a array of eZModule objects.

Definition at line 173 of file ezmodule.php.

References $db, $i, $ini, $moduleList, $modules, $query, and eZDB\globalDatabase().

## ◆ id()

eZModule::id | ( |  | ) |

Returns the object ID.

Definition at line 234 of file ezmodule.php.

References $ID.

## ◆ name()

eZModule::name | ( |  | ) |

Returns the module name.

Definition at line 242 of file ezmodule.php.

References $Name.

## ◆ setName()

eZModule::setName | ( |  | $value | ) |

Sets the module name.

Definition at line 251 of file ezmodule.php.

References Name.

## ◆ store()

eZModule::store | ( |  | ) |

Stores or updates a eZModule object in the database.

Returns false if the storing did not succeed.

Definition at line 75 of file ezmodule.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZModule::$ID

Definition at line 256 of file ezmodule.php.

Referenced by __construct(), and id().

## ◆ $Name

eZModule::$Name

Definition at line 257 of file ezmodule.php.

Referenced by name().

## ◆ $useExceptions

eZModule::$useExceptions
| static

Definition at line 258 of file ezmodule.php.

Referenced by ezpKernelTreeMenu\exitWithInternalError(), ezpbKernelAdmin\setUseExceptions(), ezpbKernelWeb\setUseExceptions(), ezpKernelTreeMenu\setUseExceptions(), ezpKernelWeb\setUseExceptions(), and ezpKernelRest\setUseExceptions().

The documentation for this class was generated from the following file:

- ezmodule.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.